Skip to content
Start here

List content policies

GET/accounts/{account_id}/email-security/settings/content_policies

Returns a paginated list of content policies. These policies match against the subject or body of emails using a pattern. Supports filtering by name or enabled status, and searching across name and pattern fields.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: WriteCloud Email Security: Read
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
Query ParametersExpand Collapse
direction: optional "asc" or "desc"

The sorting direction.

One of the following:
"asc"
"desc"
enabled: optional boolean

Filter by enabled status.

name: optional string

Filter by exact policy name.

order: optional "name" or "created_at"

Field to sort by.

One of the following:
"name"
"created_at"
page: optional number

Current page within paginated list of results.

minimum1
per_page: optional number

The number of results per page. Maximum value is 1000.

maximum1000
minimum1
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional array of object { id, created_at, enabled, 5 more }
id: optional string

Content policy identifier.

formatuuid
created_at: optional string
formatdate-time
enabled: optional boolean
modified_at: optional string
formatdate-time
name: optional string
maxLength256
minLength1
notes: optional string
maxLength4096
pattern: optional string
maxLength2048
minLength1
targets: optional array of "SUBJECT" or "BODY"
One of the following:
"SUBJECT"
"BODY"
result_info: optional object { count, page, per_page, total_count }
count: optional number

Total number of results for the requested service.

page: optional number

Current page within paginated list of results.

per_page: optional number

Number of results per page of results.

total_count: optional number

Total results available without any search parameters.

List content policies

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/content_policies \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "enabled": true,
      "modified_at": "2014-01-01T05:20:00.12345Z",
      "name": "Block phishing keywords",
      "notes": "Blocks common phishing subject lines",
      "pattern": "urgent.*verify.*account",
      "targets": [
        "SUBJECT"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "enabled": true,
      "modified_at": "2014-01-01T05:20:00.12345Z",
      "name": "Block phishing keywords",
      "notes": "Blocks common phishing subject lines",
      "pattern": "urgent.*verify.*account",
      "targets": [
        "SUBJECT"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}